Print

Print


Commit in lcio/tools on MAIN
lcio+22added 1.1
JM: Add CommandLineTool run script.

lcio/tools
lcio added at 1.1
diff -N lcio
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ lcio	26 Apr 2006 00:57:43 -0000	1.1
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+if [ ! $LCIO ]; then
+  echo "ERROR: set LCIO"
+  exit 1
+fi
+
+LOCALCLASSPATH=$LCIO/lib/lcio.jar:$LCIO/tools/sio.jar:$LCIO/tools/commons-cli-1.0.jar:$LCIO/tools/commons-lang-2.1.jar
+
+# OS specific support for Cygwin 
+cygwin=false;
+case "`uname`" in
+  CYGWIN*) cygwin=true ;;
+esac
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+  LOCALCLASSPATH=`cygpath --path --windows "$LOCALCLASSPATH"`
+  java -cp "$LOCALCLASSPATH" hep.lcio.util.CommandLineTool $*
+else
+  java -cp $LOCALCLASSPATH hep.lcio.util.CommandLineTool $*
+fi
+
CVSspam 0.2.8